## adduser 3.137ubuntu1

=== debian/changelog ===
adduser (3.137ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2026199). Remaining changes:
    - Add support for encrypting home directories (MR: !87):
      + adduser: Add --encrypt-home option, which calls ecryptfs-setup-private
        for the hard work.
      + doc/adduser.8: document the --encrypt-home option
      + debian/control: suggest ecryptfs-utils >= 67-1
      + deluser: remove all of /var/lib/ecryptfs/$user with --remove-home
    - extrausers support for adduser and gpasswd (LP: #1323732)
    - Add support for ZFS home directories (LP: #1873263)
    - Enable private home directories by default (LP: #48734)
      + Set DIR_MODE=0750 and SYS_DIR_MODE=0750 in the default adduser.conf
    - AdduserCommon.pm, adduser.conf: Change default SYS_NAME_REGEX to allow
      uppercase letters in the names of system users.
  * d/t/ecryptfs: test cases for adduser and deluser with --encrypt-home
  * Removed changes (superseded by Debian):
    - Fixed failing autopkgtests (MR: !89):
      + d/t/f/adduser_system.t: Smart increment of test uid to next available
        value.
      + d/t/f/firstlastuidgid.t: Smart increment of test uid and gid values to
        next available value.
      + d/t/f/firstlastuidgid.t: Changed S4L test group first and last uid
        values to 3xx instead of 4xx to comply with SYS_UID_MAX.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Wed, 05 Jul 2023 14:42:39 -0300

adduser (3.137) unstable; urgency=medium

  * get along without perl-modules. Closes: #1039709
  * Update Simplified Chinese translation.
    Thanks to Boyuan Yang

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 27 Jun 2023 21:22:23 +0200

adduser (3.136) unstable; urgency=medium

  * do better cleaning of VERSION
  * cut off cversion after first non-digit
  * declare modules with hardcoded version number
  * avoid VERSION, use DVERSION instead

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 27 Jun 2023 20:48:01 +0200

adduser (3.135) experimental; urgency=medium

  [ Marc Haber ]
  * logging
    * Add AdduserLogging.pm with new logging code
    * Adapt other code to use new logging code
    * remove obsolete old logging code
  * exit codes
    * Add AdduserRetvalues for unified exit codes
    * Adapt other code the use unified exit codes
  * documentation improvements
  * general code changes
    * Make AdduserCommon.pm a proper module
    * use perl 5.32.0
    * use strict, use warnings, everywhere.
    * various code changes for better readability
    * get rid of bareword file handles
  * make code perlcritic clean
    * string form of eval
    * use three argument open, use variable filehandle
    * use oct()

  [ Mateus Rodrigues de Morais ]
  * Fix failing autopkgtests by smartly incrementing test uids and gids
  * Change test uids to comply with SYS_UID_MAX

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 24 Jun 2023 15:22:08 +0200

adduser (3.134ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2021498). Remaining changes:
    - Add support for encrypting home directories (MR: !87):
      + adduser: Add --encrypt-home option, which calls ecryptfs-setup-private
        for the hard work.
      + doc/adduser.8: document the --encrypt-home option
      + debian/control: suggest ecryptfs-utils >= 67-1
      + deluser: remove all of /var/lib/ecryptfs/$user with --remove-home
    - extrausers support for adduser and gpasswd (LP: #1323732)
    - Add support for ZFS home directories (LP: #1873263)
    - Enable private home directories by default (LP: #48734)
      + Set DIR_MODE=0750 and SYS_DIR_MODE=0750 in the default adduser.conf
    - AdduserCommon.pm, adduser.conf: Change default SYS_NAME_REGEX to allow
      uppercase letters in the names of system users.
  * d/t/ecryptfs: test cases for adduser and deluser with --encrypt-home
  * Fixed failing autopkgtests (MR: !89):
    - d/t/f/adduser_system.t: Smart increment of test uid to next available
      value.
    - d/t/f/firstlastuidgid.t: Smart increment of test uid and gid values to
      next available value.
    - d/t/f/firstlastuidgid.t: Changed S4L test group first and last uid
      values to 3xx instead of 4xx to comply with SYS_UID_MAX.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Wed, 21 Jun 2023 16:38:18 +0200

adduser (3.134) unstable; urgency=medium

  * Revert "mark adduser as Protected:yes"

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 25 May 2023 17:54:35 +0200

adduser (3.133) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * mark adduser as Protected:yes. This is a temporary fix for #1035694

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 16 May 2023 23:27:12 +0200

adduser (3.132) unstable; urgency=medium

  * This is a translation/documentation only release

  [ Marc Haber ]
  * Update on Portuguese translation of man page.
    Thanks to Américo Monteiro (Closes: #1028103)

  [ Helge Kreutzmann ]
  * Fix various trivial issues in man pages.
    This partly addresses #1031081
    Thanks to Helge Kreutzmann
  * Update German translation of man page.
    Thanks to Helge Kreutzmann (Closes: #1031079)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 08 Mar 2023 21:45:42 +0100

adduser (3.131) unstable; urgency=medium

  [ Marc Haber ]
  * Fix a bug: system user names are now allowed to begin with an
    underscore. Thanks to Guillem Jover for spotting this.
  * Updated Portuguese translation of program messages.
    Thanks to Américo Monteiro (Closes: #1028147)
  * Update on Portuguese translation of man page.
    Thanks to Américo Monteiro (Closes: #1028103)
  * New Dutch translation of man page.
    Thanks to Frans Spiesschaert (Closes: #1028337)
  * Update french program translation.
    Thanks to Jean-Paul Guillonneau (Closes: #1029486)

  [ Helge Kreutzmann ]
  * Update german program translation.
    Thanks to Helge Kreutzmann (Closes: #1029572)


=== debian/control ===
Source: adduser
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), po4a
Build-Depends-Indep: gettext
Rules-Requires-Root: no
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/adduser/+git/adduser
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/adduser
X-Debian-Vcs-Browser: https://salsa.debian.org/debian/adduser
X-Debian-Vcs-Git: https://salsa.debian.org/debian/adduser.git

Package: adduser
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: passwd, ${misc:Depends}
Suggests: liblocale-gettext-perl, perl, cron, quota, ecryptfs-utils (>= 67-1)
Description: add and remove users and groups
 This package includes the 'adduser' and 'deluser' commands for creating
 and removing users.
 .
  - 'adduser' creates new users and groups and adds existing users to
    existing groups;
  - 'deluser' removes users and groups and removes users from a given
    group.
 .
 Adding users with 'adduser' is much easier than adding them manually.
 'Adduser' will choose UID and GID values that conform to Debian policy,
 create a home directory, copy skeletal user configuration, and
 automate setting initial values for the user's password, real name
 and so on.
 .
 'Deluser' can back up and remove users' home directories
 and mail spool or all the files they own on the system.
 .
 A custom script can be executed after each of the commands.
 .
 'Adduser' and 'Deluser' are intended to be used by the local
 administrator in lieu of the tools from the 'useradd' suite, and
 they provide support for easy use from Debian package maintainer
 scripts, functioning as kind of a policy layer to make those scripts
 easier and more stable to write and maintain.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

package = adduser
version = $(DEB_VERSION_UPSTREAM)
cversion = $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/\([[:digit:].]*\).*/\1/')

%:
	dh $@

override_dh_auto_build:
	# generate man pages
	cd doc/po4a && po4a --keep 95 --previous po4a.conf

override_dh_auto_clean:
	cd doc/po4a && po4a --keep 95 --previous --rm-translations po4a.conf

override_dh_auto_install:
	$(MAKE) -C po install DESTDIR=`pwd`/debian/adduser

override_dh_install:
	dh_install
	sed -e s/DVERSION/$(version)/g adduser > debian/adduser/usr/sbin/adduser
	sed -e s/DVERSION/$(version)/g deluser > debian/adduser/usr/sbin/deluser
	sed -e s/DVERSION/$(cversion)/g AdduserCommon.pm > debian/adduser/usr/share/perl5/Debian/AdduserCommon.pm
	sed -e s/DVERSION/$(cversion)/g AdduserLogging.pm > debian/adduser/usr/share/perl5/Debian/AdduserLogging.pm
	sed -e s/DVERSION/$(cversion)/g AdduserRetvalues.pm > debian/adduser/usr/share/perl5/Debian/AdduserRetvalues.pm
	ln -s adduser debian/adduser/usr/sbin/addgroup
	ln -s deluser debian/adduser/usr/sbin/delgroup

override_dh_compress:
	dh_compress -X examples/adduser.local

=== debian/tests/control ===
Test-Command: /usr/bin/prove -v debian/tests/f
Depends: cron, perl
Restrictions: needs-root

Test-Command: /usr/bin/prove -v debian/tests/ecryptfs
Depends: cron, ecryptfs-utils, kmod, perl
Restrictions: allow-stderr isolation-machine needs-root

Test-Command: cd testsuite/ && ./runsuite.sh
Depends: cron, perl
Restrictions: allow-stderr breaks-testbed needs-root

## adduser 3.137ubuntu2

=== po/Makefile ===
XGETTEXT = xgettext
MSGFMT = msgfmt
MSGMERGE = msgmerge

LOCALEDIR = /usr/share/locale

.SUFFIXES: .po .mo .pot

%.mo: %.po
	$(MSGFMT) -o $@ $<

PO = $(wildcard *.po)
LANG = $(basename $(PO))
MO = $(addsuffix .mo,$(LANG))
SOURCES = ../adduser ../deluser ../AdduserCommon.pm ../AdduserLogging.pm ../AdduserRetvalues.pm

all: update $(MO)
update: adduser.pot
	-@for po in $(PO); do \
	echo -n "Updating $$po"; \
	$(MSGMERGE) --previous -U $$po adduser.pot; \
	done;

adduser.pot: $(SOURCES)
	$(XGETTEXT) -c -L Perl -kgtx -kmtx \
	--msgid-bugs-address=adduser@packages.debian.org \
	-o $@ $(SOURCES)

install: all
	for i in $(MO) ; do \
	  t=$(DESTDIR)/$(LOCALEDIR)/`basename $$i .mo`/LC_MESSAGES ;\
	  install -d $$t ;\
	  install -m 644 $$i $$t/adduser.mo ;\
	done

clean:
	$(RM) $(MO) *~

.PHONY: update

=== debian/changelog ===
adduser (3.137ubuntu2) oracular; urgency=medium

  * Fix testsuite against newer shadow username restrictions
    (LP: #2077862, Closes: #1077804)

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 26 Aug 2024 19:00:25 +0200

## adduser 3.145

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,21 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
+Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Build-Depends: debhelper-compat (= 13), po4a
 Build-Depends-Indep: gettext
 Rules-Requires-Root: no
-Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/adduser/+git/adduser
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/adduser
-X-Debian-Vcs-Browser: https://salsa.debian.org/debian/adduser
-X-Debian-Vcs-Git: https://salsa.debian.org/debian/adduser.git
+Vcs-Browser: https://salsa.debian.org/debian/adduser
+Vcs-Git: https://salsa.debian.org/debian/adduser.git
 
 Package: adduser
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: passwd, ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl, cron, quota, ecryptfs-utils (>= 67-1)
+Depends: passwd (>= 1:4.17.2-5), ${misc:Depends}
+Suggests: liblocale-gettext-perl, perl, cron, quota
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,7 @@
 
 override_dh_auto_clean:
 	cd doc/po4a && po4a --keep 95 --previous --rm-translations po4a.conf
-
-override_dh_auto_install:
-	$(MAKE) -C po install DESTDIR=`pwd`/debian/adduser
+	rm -f po/*.mo
 
 override_dh_install:
 	dh_install

=== debian/tests/control ===
Test-Command: /usr/bin/prove -v debian/tests/f
Depends: adduser, cron, perl, login
Restrictions: needs-root

Test-Command: cd testsuite/ && ./runsuite.sh
Depends: adduser, cron, perl, login
Restrictions: allow-stderr breaks-testbed needs-root

Test-Command: /usr/sbin/adduser --system austc3
Depends: adduser, login
Restrictions: needs-root

## adduser 3.149

=== debian/changelog ===
adduser (3.149) unstable; urgency=medium

  * sort find output in skel.t

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 22 Mar 2025 10:40:54 +0100

adduser (3.148) unstable; urgency=medium

  * more improvement of output in skel.t

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 22 Mar 2025 06:51:53 +0100

adduser (3.147) unstable; urgency=medium

  * update German manual page translation.
    Thanks to Helge Kreutzmann (Closes: #1100936)
  * Update Romanian man page translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1100956)
  * extend skel test to give output if it fails.
  * Standards-Version: 4.7.2 (no changes necessary)↲

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 21 Mar 2025 15:13:30 +0100

adduser (3.146) unstable; urgency=medium

  [ Marc Haber ]
  * explicitly unset BASH_ENV.
    Thanks to James Trocknell (Closes: #1100023)
  * make adduser --system --home silent if directory exists (Closes: #1100032)
  * don't truncate log messages in sanitizing.
    Thanks to Andrew Sayers (Closes: #1100707)
  * Better docs regarding adduser --system --home
  * update debian/copyright
  * update translation helper scripts
    Thanks to Maytham Alsudany
  * Update POT and PO files for program translations
  * Update POT file for manpage translations
  * Update Romanian program translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1100600)
  * Update Dutch program and man page translation.
    Thanks to Frans Spiesschaert (Closes: #1100585, #1100586)
  * Update Galician program translation.
    Thanks to Parodper
  * Update Czech program translation.
    Thanks to Miroslav Kure (Closes: #1099934)
  * Add Basque program translation.
    Thanks to Iñaki Larrañaga Murgoitio
  * Update Japanese program translation.
    Thanks to Sadaharu Wakisaka
  * Update French program and man page translations.
    Thanks to Jean-Paul Guillonneau (Closes: #1100089)
  * Update Russian program translation.
    Thanks to Yuri Kozlov (Closes: #1100500)
  * Update Brasilian Portuguese man page translation.
    Thanks to Paulo Henrique de Lima Santana (Closes: #1100552)
  * Update German man page translation.
    Thanks to Helge Kreutzmann (Closes: #1100555)

  [ Grzegorz Kuczynski ]
  * Edit pl.po (translate and fix some format)

  [ Carles Pina i Estany ]
  * Update Catalan translation

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 20 Mar 2025 14:21:26 +0100

adduser (3.145) unstable; urgency=medium

  [ Marc Haber ]
  * reduce perl requirements to 5.36 (bookworm) for upgrades
  * fix a mismatch check in existing_user_status [Matt Barry]
  * re-work explicit --uid tests (Closes: #1099647)
  * fix misdetection of non-system accounts as system accounts
  * add lots of more test cases (Closes: #1099570)
  * get rid of "foo" user name in some of the tests, streamline tests
  * Update German program translation.
    Thanks to Helge Kreutzmann (Closes: #1099678)
  * Update Polish program translation.
    Thanks to Grzegorz Kuczyński
  * Update Japanese program translation.
    Thanks to Sadaharu Wakisaka
  * Update German program translation.
    Thanks to Helge Kreutzmann (Closes: #1099678)
  * Update Portuguese program translation.
    Thanks to Américo Monteiro (Closes: #1099771)

  [ Tianyu Chen ]
  * Update Simplified Chinese program translation.
    Thanks to Tianyu Chen

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 08 Mar 2025 15:28:02 +0100

adduser (3.144) unstable; urgency=medium

  [ Matt Barry ]
  * Clean up system account logic.
    Thanks to Michael Musenbrock and Vincent Lefevre
    (Closes: #1099470, #1099477)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 04 Mar 2025 20:57:13 +0100

adduser (3.143) unstable; urgency=medium

  [ Marc Haber ]
  * Standards-Version: 4.7.1 (no changes neceessary)
  * unset $ENV{"ENV"}
    Thanks to Dan Jacobson (Closes: #1099089)
  * Update Portuguese translation for adduser's manpage.
    Thanks to Américo Monteiro <a_monteiro@gmx.com> (Closes: #1099344)
  * don't issue warnings for --home /nonexistent.
    Thanks to Sven Joachim (Closes: #1099073)
  * allow adding system accounts to system groups (Closes: #1099397)

  [ Matt Barry ]
  * refactor existing_*_ok (Closes: #1098922)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 03 Mar 2025 19:38:23 +0100

adduser (3.142) unstable; urgency=medium

  * assume CAP_SYS_ADMIN not present if /proc not accessible.
    Thanks to Chris Hofstaedtler (Closes: #1098711)
  * Salsa CI: Add extra test to validate that 'adduser' can be used.
    Also update salsa-ci.yml template to latest version to have more
    comments and link to docs inline. Thanks to Otto Kekäläinen
  * sanitize target string coming from readlink()

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 25 Feb 2025 09:59:47 +0100

adduser (3.141) unstable; urgency=medium

  * add new autopktest to check adduser basic functionality.
  * README: Document adduser behavior in minimal chroots
  * call textdomain fully qualified. Import function explicitly.
    Thanks to Yuri Konotopov, Christian Weeks (Closes: #1098692, #1098690)
  * only set binmode if Encode is loaded in deluser

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 22 Feb 2025 22:11:35 +0100

adduser (3.140) unstable; urgency=medium

  * update Brazilian Portuguese manpage translation.
    Thanks to Paulo Henrique de Lima Santana (Closes: #1094210)
  * Update Dutch program translation.
    Thanks to Frans Spiesschaert (Closes: #1094496)
  * Update Dutch manpage translation.
    Thanks to Frans Spiesschaert (Closes: #1094497)
  * Add login to test Dependencies
  * allow adduser to run without Encode and I18N::Langinfo installed.
    Thanks to Yves-Alexis Perez, Bastian Germann (Closes: #1098508)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 22 Feb 2025 07:56:20 +0100

adduser (3.139) unstable; urgency=medium


  * improve code rubustness regarding Unicode
  * adapt default regular expressions to new useradd behavior


## adduser 3.150

=== debian/changelog ===
adduser (3.150) unstable; urgency=medium

  * unset $ENV{CDPATH}.
    Thanks to John Darrah
  * update Brazilian Portuguese man page translation.
    Thanks to Paulo Henrique de Lima Santana (phls) (Closes: #1101390)
  * use require instead of use, to allow running without perl-modules.
    Thanks to Samuel Thibault (Closes: #1101454)
  * improve autopkgtests

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 28 Mar 2025 14:21:07 +0100

## adduser 3.152

=== debian/changelog ===
adduser (3.152) unstable; urgency=medium

  * only do very basic sanitization for comment.
    Thanks to Pascal Hambourg, Luca Boccassi and others.
    (Closes: #1104738, #1101678)
  * work around #1104726 in perl

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 06 May 2025 20:25:46 +0200

adduser (3.151) unstable; urgency=medium

  * update Romanian manual page translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1101518)
  * Update German manual page translation.
    Thanks to Helge Kreutzmann (Closes: #1101523)
  * fix commentre, it accidentally allowed "-_ (" to _)
  * update Brazilian Portuguese program translation.
    Thanks to Adriano Rafael Gomes (Closes: #1101702)
  * Update portuguese man page translation.
    Thanks to Américo Monteiro (Closes: #1103635)
  * update dutch man page translation.
    Thanks to Frans Spiesschaert (Closes: #1104314)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 02 May 2025 14:39:56 +0200

## adduser 3.152ubuntu1

=== debian/changelog ===
adduser (3.152ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111568).
    Note: This is the first merge done with git-ubuntu. Please upload
    appropriately to keep the rich history with all commits being split.
    Remaining changes:
    - Add support for encrypting home directories (MR: !87):
      This feature got a non-trivial refresh after some refactor upstream.
      + adduser: Add --encrypt-home option, which calls ecryptfs-setup-private
        for the hard work.
      + doc/adduser.8: document the --encrypt-home option
      + debian/control: suggest ecryptfs-utils >= 67-1
      + deluser: remove all of /var/lib/ecryptfs/$user with --remove-home
    - extrausers support for adduser and gpasswd (LP #1323732)
      One feature got dropped in the rebase: updating a user comment with
      --extrausers is now unsupported as the mechanism has changed in Debian,
      and usermod doesn't support --extrausers. An error is raised instead if we
      hit the situation.
    - Add support for ZFS home directories (LP #1873263)
    - Enable private home directories by default (LP #48734)
    - Set DIR_MODE=0750 and SYS_DIR_MODE=0750 in the default adduser.conf
    Dropped changes:
    - AdduserCommon.pm, adduser.conf: Change default SYS_NAME_REGEX to allow
      uppercase letters in the names of system users.
      Debian now does that by default.
    - Fix testsuite against newer shadow username restrictions
      (LP 2077862, Closes: #1077804)
      Debian fixed the testsuite.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 23 May 2025 12:19:31 +0200

## adduser 3.152%2Bmint1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), po4a
 Build-Depends-Indep: gettext
 Rules-Requires-Root: no
@@ -15,7 +15,7 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd (>= 1:4.17.2-5), ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl, cron, quota
+Suggests: liblocale-gettext-perl, perl, cron, quota, ecryptfs-utils
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

## adduser 3.152+mint1

=== debian/changelog ===
adduser (3.152+mint1) gigi; urgency=medium

  * Add support for encrypting home directories

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Sep 2025 10:45:20 +0100

## adduser 3.153

=== debian/changelog ===
adduser (3.153) unstable; urgency=medium

  [ Marc Haber ]
  * various manual page fixes. Thanks to Bjarni Ingi
    Gislason <bjarniig@simnet.is> (Closes: #1107990, #1105900)
  * move PATH initialization very early in program.
    Thanks to Luca Boccassi (Closes: #1108017)
  * use sanitize_string with replace in find_match.
    Thanks to Rob Browning (Closes: #1112486)

  [ Alexander Golubev ]
  * Some minor messages' fixes.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 14 Sep 2025 13:53:43 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd (>= 1:4.17.2-5), ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl, cron, quota, ecryptfs-utils
+Suggests: liblocale-gettext-perl, perl, cron, quota
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,10 @@
 
 override_dh_auto_build:
 	# generate man pages
-	cd doc/po4a && po4a --keep 95 --previous po4a.conf
+	cd doc/po4a && po4a --keep 60 --previous po4a.conf
 
 override_dh_auto_clean:
-	cd doc/po4a && po4a --keep 95 --previous --rm-translations po4a.conf
+	cd doc/po4a && po4a --keep 60 --previous --rm-translations po4a.conf
 	rm -f po/*.mo
 
 override_dh_install:

=== debian/tests/control ===
Test-Command: /usr/bin/prove -v debian/tests/f
Depends: adduser, cron, perl, login
Restrictions: needs-root
Features: test-name=package-test-suite

Test-Command: cd testsuite/ && ./runsuite.sh
Depends: adduser, cron, perl, login
Restrictions: allow-stderr breaks-testbed needs-root
Features: test-name=upstream-test-suite-full

Test-Command: cd testsuite/ && ./runsuite.sh
Depends: adduser, login
Restrictions: allow-stderr breaks-testbed needs-root
Features: test-name=upstream-test-suite-minimal

Test-Command: /usr/sbin/adduser --system austc3
Depends: adduser, login
Restrictions: needs-root
Features: test-name=basic-system-user

## adduser 3.153ubuntu1

=== debian/changelog ===
adduser (3.153ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130097). Remaining changes:
    - Add support for encrypting home directories (MR: !87):
      - adduser: Add --encrypt-home option, which calls ecryptfs-setup-private
        for the hard work.
      - doc/adduser.8: document the --encrypt-home option
      - debian/control: suggest ecryptfs-utils >= 67-1
      - deluser: remove all of /var/lib/ecryptfs/$user with --remove-home
        extrausers support for adduser and gpasswd (LP #1323732)
    - Add support for ZFS home directories (LP #1873263)
    - Enable private home directories by default (LP #48734)
    - Set DIR_MODE=0750 and SYS_DIR_MODE=0750 in the default adduser.conf

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Tue, 04 Nov 2025 11:22:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), po4a
@@ -15,7 +16,7 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd (>= 1:4.17.2-5), ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl, cron, quota
+Suggests: liblocale-gettext-perl, perl, cron, quota, ecryptfs-utils (>= 67-1)
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,10 @@
 Depends: adduser, cron, perl, login
 Restrictions: needs-root
 Features: test-name=package-test-suite
+
+Test-Command: /usr/bin/prove -v debian/tests/ecryptfs
+Depends: cron, ecryptfs-utils, kmod, perl
+Restrictions: allow-stderr isolation-machine needs-root
 
 Test-Command: cd testsuite/ && ./runsuite.sh
 Depends: adduser, cron, perl, login

## adduser 3.154

=== debian/changelog ===
adduser (3.154) unstable; urgency=medium

  * The Happy New Year 2026 Release

  [ Matt Barry ]
  * add --no-copy-skel option (Closes: #1099633)
  * document --no-copy-skel
  * refactor existing_*_ok

  [ Marc Haber ]
  * make deluser --group work as documented.
  * have delgroup reject user-specific command line options.
  * correctly sanitize names in deluser.
    Thanks to Dagfinn Ilmari Mannsåker (Closes: #1109329)
  * update Swedish program and man page translation.
    Thanks to Daniel Nylander <daniel@danielnylander.se>
  * make adduser error out if --system and account has a password
    (Closes: #1099734)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 01 Jan 2026 00:00:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: adduser
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
+Maintainer: Debian Adduser Developers <adduser@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), po4a
 Build-Depends-Indep: gettext
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/adduser
 Vcs-Git: https://salsa.debian.org/debian/adduser.git
 
@@ -16,7 +14,7 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: passwd (>= 1:4.17.2-5), ${misc:Depends}
-Suggests: liblocale-gettext-perl, perl, cron, quota, ecryptfs-utils (>= 67-1)
+Suggests: liblocale-gettext-perl, perl, cron, quota
 Description: add and remove users and groups
  This package includes the 'adduser' and 'deluser' commands for creating
  and removing users.

## adduser slackware

=== Makefile ===

CC=gcc -O6
LD=gcc -s -N
RM=rm -f
DFLAGS=-O2
#
# I prefer CFLAGS= -O -pipe
#
adduser: adduser.o
	$(LD) adduser.o -o adduser

nocrypt: xfdes.o
	$(CC) $(DFLAGS) -o -O6 adduser.o -c adduser.c
	$(LD) adduser.o xfdes.o -o adduser
clean:
	$(RM) adduser.o xfdes.o adduser core *~

dist: clean
	cd ..
	tar -cvf /tmp/adduser.tar ./
	gzip /tmp/adduser.tar
